Get recommended products

Allows to generate recommendations for particular user. Provides means to choose particular recommendation model and optionally filter out items based on given filtering parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request for list of recommended products.

string | null

ID of logged user to whom recommendations should be generated. Must be set if zoeId is null.

string | null

Anonymous browser identifier of the user to whom the recommendations should be generated. The field name zoeId is retained for API compatibility. Must be set if userId is null.

int32 | null
1 to 100

Maximum number of recommendations that should be returned. If null, the current API default limit is used.

If set too high, HTTP 400 will be returned.

scenario

The scenario that should be used to obtain recommendations. May contain additional properties or parameters required as input for particular scenario type.

filters
array

Optional list of filters that should be applied on the actual recommendation before sending. May contain multiple filters of the same type.

filters
includeFields
array of strings | null

Allows to include specific properties of catalogue item in the response. The properties are taken dynamically from the item catalogue. Use "properties" prefix to obtain custom properties. The ID of the item (field 'itemId') is included always and thus specifying projection is optional.

includeFields
string | null

Optional deduplicationId. If set, this ID will be used to deduplicate the recommended items provided in concurrent recommendation requests with this id, i.e. subsequent requests with same deduplicationId will ensure that most important position of the recommendation don’t contain duplicates.

Use case: if the web page contains multiple recommendation widgets that are close together, this prevents showing same items multiple times so that more items may be recommended to user.

Note that deduplicationId is cached only for limited time (currently 30s). When this time expires, the behaviour will refresh.

Responses

401

Unauthorized

403

Forbidden

500

Internal Server Error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json